Bug 428417 - Places menu "Bookmarks" submenu consistently appears and disappears in provided circumstances
Places menu "Bookmarks" submenu consistently appears and disappears in provid...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 07:37 EST by David Campbell
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:59:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2008-01-11 07:37:32 EST
Description of problem:

If you use nautilus to add a Place (as in the Places menu), then immediately all
the existing places that were appearing directly on the Places menu and the one
added become part of a submenu called "Bookmarks".

Then if you add another item, then remove it, the "Bookmarks" submenu goes away
and all the menu items appear on the Places menu again.

Version-Release number of selected component (if applicable):

gnome 2.20.2
nautilus 2.20.0-6

How reproducible:

Always

Steps to Reproduce:
1. Check your Places menu (normally at the top of the screen) and observe places
on the menu, especially those close to the top..eg Documents, Music etc
2. Open a nautilus window viewing files, eg run command:  nautilus ~
3. Choose File/Browser Folder and a new window opens with a left panel
4. Drag some folder into the bottom of the left panel.
5. Check your Places menu (normally at the top of the screen) and observe places
on them menu..you can see that Places have been moved into a submenu called
"Bookmarks"
6. Now drag some other folder into the bottom of the left panel in the nautilus
file browser window you opened
7. Now move the mouse over the item you just added and use the other mouse
button to pull down the Remove option
8. Check your Places menu (normally at the top of the screen) and observe places
on them menu..you can see that the Bookmarks subfolder is gone and all the items
are back directly on the Places menu
  
Actual results:

Silly business with Bookmarks menu

Expected results:

No silly business with Bookmarks menu

Additional info:
Comment 1 Christopher Brown 2008-01-15 08:27:04 EST
The first section of the places menu holds bookmarks (which I think are
installed by the fedora-bookmarks package) and hold a maximum of five (Home and
Desktop do not count). Bookmarks are located in:

~/.gtk-bookmarks

When one is added a submenu is created so that the initial menu does not get out
of control. It also affects people on smaller resolution screens.

Therefore I do not think this is a bug and personally I'd be inclined to close
as such. However if you need more than five displayed in the first menu, change
the subject to an RFE.

Cheers
Chris

Note You need to log in before you can comment on or make changes to this bug.